Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.teststeps.registry
Class WsdlTestRequestStepFactory

    java.lang.Object
      com.eviware.soapui.impl.wsdl.teststeps.registry.WsdlTestStepFactory
          com.eviware.soapui.impl.wsdl.teststeps.registry.WsdlTestRequestStepFactory

    public class WsdlTestRequestStepFactory

extends WsdlTestStepFactory

Factory for WsdlTestRequestSteps

Author:
  Ole.Matzura

Field Summary
`static java.lang.String` | `REQUEST_TYPE`

Constructor Summary
`WsdlTestRequestStepFactory()`

Method Summary
`WsdlTestStep` | `buildTestStep(WsdlTestCase testCase, com.eviware.soapui.config.TestStepConfig config, boolean forLoadTest)`
`boolean` | `canCreate()`
`static com.eviware.soapui.config.TestStepConfig` | `createConfig(WsdlOperation operation, java.lang.String stepName)`
`static com.eviware.soapui.config.TestStepConfig` | `createConfig(WsdlRequest request, java.lang.String stepName)`
`com.eviware.soapui.config.TestStepConfig` | `createNewTestStep(WsdlTestCase testCase, java.lang.String name)`

Methods inherited from class com.eviware.soapui.impl.wsdl.teststeps.registry.WsdlTestStepFactory
`getTestStepDescription, getTestStepIconPath, getTestStepName, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_TYPE

    public static final java.lang.String REQUEST_TYPE

See Also:
  Constant Field Values

Constructor Detail

### WsdlTestRequestStepFactory

    public WsdlTestRequestStepFactory()

Method Detail

### buildTestStep

    public WsdlTestStep buildTestStep(WsdlTestCase testCase,
                                      com.eviware.soapui.config.TestStepConfig config,
                                      boolean forLoadTest)

  Specified by:
    `buildTestStep` in class `WsdlTestStepFactory`

### createConfig

    public static com.eviware.soapui.config.TestStepConfig createConfig(WsdlRequest request,
                                                                        java.lang.String stepName)

### createConfig

    public static com.eviware.soapui.config.TestStepConfig createConfig(WsdlOperation operation,
                                                                        java.lang.String stepName)

### createNewTestStep

    public com.eviware.soapui.config.TestStepConfig createNewTestStep(WsdlTestCase testCase,
                                                                      java.lang.String name)

  Specified by:
    `createNewTestStep` in class `WsdlTestStepFactory`

### canCreate

    public boolean canCreate()

  Specified by:
    `canCreate` in class `WsdlTestStepFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.